"Download updates while installing" checkbox does nothing

Bug #761094 reported by Luca Ferretti on 2011-04-14
58
This bug affects 11 people
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
High
Unassigned
Natty
High
Evan

Bug Description

Binary package hint: ubiquity

## Description ##

During first steps of installing, ubiquity provides a "Download updates while installing" checkbox. I don't know what this option was supposed to do (simply download updated .deb files in apt cache or automatically install those files too), but restarting the system after a fresh installation neither package updates were applied, nor .deb files were downloaded and cached.

Simply, Update Manager shows X packages to update, and clicking the Update button it downloads and installs them.

So I suppose
 a) checkbox label is wrong (should be "Check for updates while installing")
 b) download (and apply) updates feature doesn't work

## Steps to Reproduce ##

 -- perform a fresh install (for instance a new virtual machine)
 -- check "Download updates while installing"
 -- reboot the system
 -- launch Update Manager

## Current Result ##

N updates are available to install, if you choose to apply, all packages will downoaded

## Expected Result ##

Updates should automatically downloaded or applied during operating system installation

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: ubiquity 2.6.5
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic i686
Architecture: i386
Date: Thu Apr 14 20:02:23 2011
LiveMediaBuild: Ubuntu 11.04 "Natty Narwhal" - Beta i386 (20110413)
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: ubiquity
UpgradeStatus: No upgrade log present (probably fresh install)
---
Architecture: i386
DistroRelease: Ubuntu 11.04
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta i386 (20110413)
Package: ubiquity (not installed)
ProcEnviron:
 LANGUAGE=it_IT:en
 PATH=(custom, no user)
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Tags: natty
Uname: Linux 2.6.38-8-generic i686
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

Luca Ferretti (elle.uca) wrote :

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

Brian Murray (brian-murray) wrote :

I too am not seeing any packages downloaded to /var/cache/apt/archives when choosing 'download updates while installing'. Attached is a debug install log.

Brian Murray (brian-murray) wrote :
Brian Murray (brian-murray) wrote :

07:56 < ev> if you search your debug log for ubiquity/download_updates
07:56 < ev> you'll see that it does get set to true
07:56 < ev> but then when the installer tries to read it back later, it's false

Changed in ubiquity (Ubuntu Natty):
importance: Undecided → High
status: New → Triaged
milestone: none → ubuntu-11.04
Evan (ev) on 2011-04-18
Changed in ubiquity (Ubuntu Natty):
assignee: nobody → Evan Dandrea (ev)
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.6.6

---------------
ubiquity (2.6.6) natty; urgency=low

  [ Jonathan Riddell ]
  * bin/ubiquity-dm: use correct KDE wallpaper path

  [ Colin Watson ]
  * Don't copy keyboard-configuration questions to /target in OEM mode, and
    reset any values that come from the live filesystem build. oem-config
    will ask them later, and copying these confuses it (LP: #741304).
  * GTK frontend:
    - Avoid a crash if the automatic partitioning page is never displayed.

  [ Evan Dandrea ]
  * Remove the 'Bootloader device' line. See LP #726740.
  * Do not reset the bootloader choice unless it's absolutely necessary
    (LP: #756920). Thanks StĂ©phane Graber!
  * Move installation of the nvidia driver to after the removal of
    unneeded kernels. Divert update-initramfs for the duration and
    trigger it afterwards (LP: #759804).
  * Make the 'name already exists on the network' warning message not
    block the user from moving forward (LP: #760884).
  * Briefly shut down the debconf database to flush any changes before
    starting the parallel database (LP: #761094).
  * Fix removal of slideshow packages for non-GTK frontends
    (LP: #745607).
  * Set the locale again after the timezone page so that the slideshow
    can have country-specific translations (LP: #758658).
  * Automatic update of included source packages: base-installer
    1.116ubuntu2, choose-mirror 2.37ubuntu2, console-setup 1.57ubuntu19,
    flash-kernel 2.28ubuntu19, user-setup 1.28ubuntu15.
  * Update translations from Launchpad.

  [ Mario Limonciello ]
  * Show the oem-config slideshow in oem-config rather than the ubuntu one.
  * Uninstall the oem-config slideshow after install is done (LP: #759935).

  [ Julien Lavergne ]
  * Disable ubiquity panel for openbox session.

  [ Mackenzie Morgan ]
  * Make radio buttons use label wording for screen reader (LP: #749653)
 -- Evan Dandrea <email address hidden> Tue, 19 Apr 2011 11:45:53 +0100

Changed in ubiquity (Ubuntu Natty):
status: Fix Committed → Fix Released

As of Oneiric, the "Download Updates While Installing" option does absolutely nothing...

Alex Moldovan (alexmoldovan) wrote :

I can confirm that this bug is still valid on Ubuntu 12.04 amd64.

  * Briefly shut down the debconf database to flush any changes before
    starting the parallel database (LP: #761094).

It seems to me this bug got closed by mistake. I'm reopening it as it contains some useful comments.

Changed in ubiquity (Ubuntu):
assignee: Evan Dandrea (ev) → nobody
milestone: ubuntu-11.04 → none
status: Fix Released → Triaged
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/761094

tags: added: iso-testing
dino99 (9d9) on 2013-07-12
Changed in ubiquity (Ubuntu):
status: Triaged → Fix Released
Dimitri John Ledkov (xnox) wrote :

The checkbox does exactly what it says on the tin:
"Download updates while installing"

Whilst your installation is performed, updates are downloaded in the background.
Those updates are not installed, but instead available to install once you boot into final system.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers